package com.jz.dmp.modules.service.impl;

import com.jz.dmp.modules.dao.DmpTableFieldMappingDao;
import com.jz.dmp.modules.model.DmpTableFieldMapping;
import com.jz.dmp.modules.service.DmpTableFieldMappingService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 项目表字段类型映射(DmpTableFieldMapping)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-23 16:34:55
 */
@Service("dmpTableFieldMappingService")
public class DmpTableFieldMappingServiceImpl implements DmpTableFieldMappingService {
    @Resource
    private DmpTableFieldMappingDao dmpTableFieldMappingDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public DmpTableFieldMapping queryById(Integer id) {
        return this.dmpTableFieldMappingDao.queryById(id);
    }

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    @Override
    public List<DmpTableFieldMapping> queryAllByLimit(int offset, int limit) {
        return this.dmpTableFieldMappingDao.queryAllByLimit(offset, limit);
    }

    /**
     * 新增数据
     *
     * @param dmpTableFieldMapping 实例对象
     * @return 实例对象
     */
    @Override
    public DmpTableFieldMapping insert(DmpTableFieldMapping dmpTableFieldMapping) {
        this.dmpTableFieldMappingDao.insert(dmpTableFieldMapping);
        return dmpTableFieldMapping;
    }

    /**
     * 修改数据
     *
     * @param dmpTableFieldMapping 实例对象
     * @return 实例对象
     */
    @Override
    public DmpTableFieldMapping update(DmpTableFieldMapping dmpTableFieldMapping) {
        this.dmpTableFieldMappingDao.update(dmpTableFieldMapping);
        return this.queryById(dmpTableFieldMapping.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.dmpTableFieldMappingDao.deleteById(id) > 0;
    }
}